aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSébastien Fabbro <bicatali@gentoo.org>2010-03-26 05:40:33 +0000
committerSébastien Fabbro <bicatali@gentoo.org>2010-03-26 05:40:33 +0000
commit36fcc3559aeffa72c0436f72ca97123ea40b9c2d (patch)
tree36a778254565ddb79e4580c94cc46b3353673fcf /sci-libs/scikits_image
parentAdded scikits_learn (diff)
downloadsci-36fcc3559aeffa72c0436f72ca97123ea40b9c2d.tar.gz
sci-36fcc3559aeffa72c0436f72ca97123ea40b9c2d.tar.bz2
sci-36fcc3559aeffa72c0436f72ca97123ea40b9c2d.zip
Added scikits_image
Diffstat (limited to 'sci-libs/scikits_image')
-rw-r--r--sci-libs/scikits_image/ChangeLog10
-rw-r--r--sci-libs/scikits_image/Manifest4
-rw-r--r--sci-libs/scikits_image/metadata.xml11
-rw-r--r--sci-libs/scikits_image/scikits_image-0.2.2.ebuild50
4 files changed, 75 insertions, 0 deletions
diff --git a/sci-libs/scikits_image/ChangeLog b/sci-libs/scikits_image/ChangeLog
new file mode 100644
index 000000000..c69a2ec07
--- /dev/null
+++ b/sci-libs/scikits_image/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-libs/scikits_image
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*scikits_image-0.2.2 (26 Mar 2010)
+
+ 26 Mar 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ +scikits_image-0.2.2.ebuild, +metadata.xml:
+ Initial import
+
diff --git a/sci-libs/scikits_image/Manifest b/sci-libs/scikits_image/Manifest
new file mode 100644
index 000000000..10e3eabeb
--- /dev/null
+++ b/sci-libs/scikits_image/Manifest
@@ -0,0 +1,4 @@
+DIST scikits.image-0.2.2.tar.gz 572397 RMD160 6be10b73d304b5a3fc9c526dc458dfea8c7ecd7f SHA1 53568addad08b0204b60b590354865dd22cb6580 SHA256 02a6dd4d5ca701de427099e3c4ec026a5e8512bab1d0660de9311981b4be936d
+EBUILD scikits_image-0.2.2.ebuild 1056 RMD160 6d0d864d6bf697fbcf340e7dcf1f9b930926e16e SHA1 b3e091a65e52165d1c0a1a13fa56e0e8ae6dbc33 SHA256 387cb0103604b84d94286d6c577eed21b8bbfd9297169827e53b82bf1612bca3
+MISC ChangeLog 278 RMD160 4bacad41ef726041a4865eb9270ef831b36cd7ce SHA1 1b416d0717dee50a5e571de467e9c20e91370eb4 SHA256 b317ab224a17b03164766585bad32cc701662ce13e08ed3efa2f6f6a636ec1b3
+MISC metadata.xml 433 RMD160 8dc6cffd4bb09b6963ca8d80f92f475b48d6d2c1 SHA1 4c8765cedb14fe39111f284120b1c47ac930f988 SHA256 756d33bfd911675c81240b0475422da17247dd56e1d5cd3b2b76207e5729e4c3
diff --git a/sci-libs/scikits_image/metadata.xml b/sci-libs/scikits_image/metadata.xml
new file mode 100644
index 000000000..3efece613
--- /dev/null
+++ b/sci-libs/scikits_image/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ This SciKit (toolkit for SciPy) includes useful image processing
+ algorithms for use with Python and NumPy. While SciPy’s ndimage
+ provides low-level manipulation, scikits.image centres around
+ algorithms and applications.
+</longdescription>
+</pkgmetadata>
diff --git a/sci-libs/scikits_image/scikits_image-0.2.2.ebuild b/sci-libs/scikits_image/scikits_image-0.2.2.ebuild
new file mode 100644
index 000000000..3095d8f32
--- /dev/null
+++ b/sci-libs/scikits_image/scikits_image-0.2.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+SUPPORT_PYTHON_ABIS="1"
+
+inherit distutils
+
+MY_P="${P/scikits_/scikits.}"
+
+DESCRIPTION="Image processing routines for SciPy"
+HOMEPAGE="http://stefanv.github.com/scikits.image"
+SRC_URI="http://pypi.python.org/packages/source/s/scikits.image/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="dev-python/numpy"
+DEPEND="${RDEPEND}
+ dev-python/setuptools
+ doc? ( dev-python/sphinx )"
+RESTRICT_PYTHON_ABIS="3.*"
+
+S="${WORKDIR}/${MY_P}"
+
+src_compile() {
+ distutils_src_compile
+ if use doc; then
+ "$(PYTHON -f)" setup.py build_sphinx || die "Generation of documentation failed"
+ fi
+}
+
+src_test() {
+ testing() {
+ PYTHONPATH="$(dir -d build-${PYTHON_ABI}/lib*)" "$(PYTHON)" setup.py build -b "build-${PYTHON_ABI}" test
+ }
+ python_execute_function testing
+}
+
+src_install() {
+ distutils_src_install
+ dodoc *.txt
+ insinto /usr/share/doc/${PF}
+ if use doc; then
+ doins -r build/sphinx/html || die
+ fi
+}